#ifndef XMATERIALCONSTANTDEF_H
#define XMATERIALCONSTANTDEF_H

#include "xasset.h"
#include "xstring.h"

#include <QVector>

class XMaterialConstantDef : public XAsset
{
public:
    explicit XMaterialConstantDef();
    ~XMaterialConstantDef();

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    quint32 mNameHash;
    XString mName;
    QVector<float> mLiteral;
};

#endif // XMATERIALCONSTANTDEF_H
